Subject: Re: [v6ops] I-D Action: draft-colitti-v6ops-host-addr-availability-01.txt

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 28 Aug 2015 17:09:52 +0200

Le 29/07/2015 04:01, Lorenzo Colitti a écrit :
> On Wed, Jul 29, 2015 at 2:51 AM, Ted Lemon <[email-masked]
> <mailto:[email-masked]>> wrote:
>
> So you want the device to be able to use DHCPv6-PD on the upstream,
> but support SLAAC on the downstream.   So this really isn’t a general
> mechanism: it’s for the smartphone router use case specifically.
>
>
> Or for laptops that want to run VMs. Or for future protocols that
> need more space, or for applications that want per-application
> IP-addresses. Or anything else.
>
> What this gives you is that on a network that has tracking
> requirements that require the use of DHCPv6, then DHCPv6 can be used
> all the way to "where the buck stops", i.e., all the way to the end
> user of the network. The end user can then use other mechanisms, such
> as SLAAC or bridging, to extend the network.
>
> There are 256 times as many /40s as IPv4 addresses.   That’s a
> _really_ small number unless you see the Internet growth curve
> flattening out, and your draft suggests that you don't.
>
>
> The draft only recommends using DHCPv6 PD on if the network "requires
>  explicit requests for address space". That rules out anything
> running SLAAC, which is supported by the vast majority of IPv6
> deployments today. If you want the draft to recommend that networks
> should not require explicit requests for address space, then it can
> do that.

I dont understand what can the draft do...

The network operators should accept explicit requests for address space,
e.g. a /63 prefix request.

This is not only about host address availability, but also about router
prefix availability.

It is not only about addresses on the upstream interface, but about 
delegated address space.

Alex

>
>
> _______________________________________________ v6ops mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/v6ops
>